[android-components](../../index.md) / [mozilla.components.service.glean.private](../index.md) / [CounterMetricType](index.md) / [add](./add.md)

# add

`fun add(amount: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)` = 1): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/glean/src/main/java/mozilla/components/service/glean/private/CounterMetricType.kt#L37)

Add to counter value.

### Parameters

`amount` - This is the amount to increment the counter by, defaulting to 1 if called
without parameters.